<?php
	include "koneksi.php";
	$nama=mysqli_real_escape_string($conn,$_POST["nama_karyawan"]);
	$id=mysqli_real_escape_string($conn,$_GET["id"]);
	$nik=$_POST["nik"];
	$gaji=$_POST["gaji"];
	$tunjanganjabatan=$_POST["tunjangan_jabatan"];
	$tunjanganoperasional=$_POST["tunjangan_operasional"];
	$tunjangankomunikatif=$_POST["tunjangan_komunikatif"];
	$tunjanganmakan=$_POST["tunjangan_makan"];
	$tunjangantransport=$_POST["tunjangan_transport"];
	$totalgaji= $gaji + $tunjanganjabatan + $tunjanganoperasional + $tunjangankomunikatif + $tunjanganmakan + $tunjangantransport;


	//$q="UPDATE merk_sparepart SET nama='$nama' WHERE id='$id'";
	//mysqli_query($conn,$q);
	//header("location:merksparepart.php?p=1");
	
	// if (empty($nama))
	// {
	// 	//header("location:updategajikaryawan.php?p=1&id=".$id);
	// }
	// else
	// {
		$q="SELECT * FROM data_karyawan WHERE id=$id"; 
		$res=mysqli_query($conn,$q);
		echo "query : " .$q;
		
		if ($res)
		{
			//$q="INSERT INTO kendaraan (nama,id_merkMotor) VALUES ('$nama','$id')";
			$q="UPDATE data_karyawan SET gaji='$gaji',tunjangan_jabatan='$tunjanganjabatan',tunjangan_operasional='$tunjanganoperasional',tunjangan_komunikatif='$tunjangankomunikatif',tunjangan_makan='$tunjanganmakan',tunjangan_transport='$tunjangantransport',tunjangan_total_upah='$totalgaji' WHERE id=$id";
			//$update = $conn->query($q);
			$update = mysqli_query($conn, $q);
			echo "query : " . $q;
			if (! $update)
			{
				echo "gagal  update";
				header("location:updategajikaryawan.php?p=2");
			}
			else if ($update)
			{
				
				echo "berhasil update";
				header("location:datagajikaryawan.php?p=1");
			}
			//header("location:updategajikaryawan.php?p=2");
		}
		else
		{
			echo "gagal update ";
		}
		
	//}
?>